Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		soprano
Version:	2.5.3
Release:	1
License:	GNU/GPL, LGPL
URL:		http://sourceforge.net/projects/soprano
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	QT wrapper API to different RDF storage solutions
BuildRequires:	cmake
BuildRequires:	rasqal-devel 

BuildRequires: libX11-devel
BuildRequires: libiodbc-devel

#Automatically resolved build dependencies
BuildRequires: clucene-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: qt4-devel
BuildRequires: raptor-devel
#uildRequires: raptor2-devel <- not yet
BuildRequires: redland-devel

%description
Soprano (formally known as QRDF) is a library which provides a QT wrapper API to different RDF storage solutions. It features named graphs (contexts) and has a modular plug-in structure which allows to use different RDF storage implementations.

%package devel
Summary: 	Developer files for %{name}
Group:   	Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	qt4-devel
Requires: 	pkgconfig

%description devel
%{summary}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
export PATH=/opt/qt4/bin:$PATH
CFLAGS="$CFLAGS -lrdf"
CXXFLAGS="$CXXFLAGS -lrdf"
cmake . -DCMAKE_INSTALL_PREFIX=%_prefix
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING* README TODO
%{_bindir}/sopranocmd
%{_bindir}/sopranod
%{_bindir}/onto2vocabularyclass
%{_libdir}/libsoprano.so.*
%{_libdir}/libsopranoclient.so.*
%{_libdir}/libsopranoindex.so.*
%{_libdir}/libsopranoserver.so.*
%{_libdir}/soprano/libsoprano_nquadparser.so
%{_libdir}/soprano/libsoprano_nquadserializer.so
%{_libdir}/soprano/libsoprano_raptorparser.so
%{_libdir}/soprano/libsoprano_raptorserializer.so
%{_libdir}/soprano/libsoprano_redlandbackend.so
%{_libdir}/soprano/libsoprano_virtuosobackend.so
%{_datadir}/soprano/
%dir %{_datadir}/dbus-1/interfaces
%{_datadir}/dbus-1/interfaces/org.soprano.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libsoprano.so
%{_libdir}/libsopranoclient.so
%{_libdir}/libsopranoindex.so
%{_libdir}/libsopranoserver.so
%{_pkgconfig}/soprano.pc
%{_pkgconfig}/sopranoclient.pc
%{_pkgconfig}/sopranoindex.pc
%{_pkgconfig}/sopranoserver.pc
%{_includedir}/soprano/
%{_includedir}/Soprano/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.5.3-1
- Version update
* Fri Oct 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.5.2-1
- Version update
* Mon Aug 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.5.0-1
- Version update
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.64-1
- Version update
- experimental package branch
* Wed Jul 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.63-1
- Version update
- experimental package branch
* Wed Jul 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.4-1
- Version update
* Wed May 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.3-1
- Version update
* Thu Mar 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- Version update
* Tue Feb 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.0-1
- Version update
* Wed Jul 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.3.0-1
- Version update
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.2.2-1
- Version update
* Wed Jan 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-1
- Version update
* Tue Jan 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.2-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.1.67-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.1.65-1
- Version update
* Sat Nov 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.1.64-1
- Version update
* Thu Jul 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.1.1-1
- Version update
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 2.0.98-1
- Version update ( 2.1 alpha 1 )
* Sat Feb 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.2-1
- Version update
* Tue Jan 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0-1
- Version update
* Mon Dec 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.99-1
- Version update
- rc2
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 1.98.0-1
- Version update to release version rc1
- cleaned specfile from old and unnecessary tags
* Sun Nov 11 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.97.2-1
- Version update - svn735336
* Mon Aug 13 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.9.0-3
- Version update - svn699488
* Thu Jun 26 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.9.0-2
- Version update - svn680412
* Thu Jun 7 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.9.0-1
- Initial Release - svn672512
